//FPDDEFJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       FPDDEFJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Delete/Define a VSAM, KSDS data set using IDCAMS.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This job will create a VSAM, KSDS data set. The key is fifty-four
//* characters starting at the third position in the record.
//* The record length is 1,024 characters.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* *******************************************************************
//* Step   1   This is a single step job.
//*
//FPMCRTS1 EXEC PGM=IDCAMS
//SYSPRINT DD   SYSOUT=*
//SYSIN    DD   *
 DELETE    SIMOTIME.UTIL.FPMASTER   -
           FILE (FPMASTER)          -
           PURGE                    -
           ERASE                    -
           CLUSTER
 SET       MAXCC = 0
 DEFINE    CLUSTER  (NAME(SIMOTIME.UTIL.FPMASTER)             -
                    TRACKS(45,15)                             -
                    INDEXED)                                  -
           DATA     (NAME(SIMOTIME.UTIL.FPMASTER.DAT)         -
                    KEYS(54,2)                                -
                    RECORDSIZE(1024,1024)                     -
                    FREESPACE(10,15)                          -
                    CISZ(8192))                               -
           INDEX    (NAME(SIMOTIME.UTIL.FPMASTER.IDX))
/*
//*
