      *****************************************************************
      *               FPMASTB1.CPY - a COBOL Copy File                *
      *         Copyright (C) 1987-2016 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
      * Copy File for the record structure of the FPMASTER File that
      * contains the properties or characteristics of non-relational
      * data structures, Sequential file or VSAM Data Sets.
      * This is a VSAM Keyed=Sequential-Data-Set or Key-Indexed File. *
      *
       01  FPMASTER-REC.
           05  FPMASTER-DATA-01.
               10 FPMASTER-BASE-INFO.
                   15  FPMASTER-LEVEL-NBR  PIC 9(2).                    COL-A
                   15  FPMASTER-DSN-NAME   PIC X(54).                   COL-B
                   15  FPMASTER-DD-NAME    PIC X(17).                   COL-C
               10  FPMASTER-FILE-PROPERTIES.
                   15  FPMASTER-DCB-DSORG  PIC X(4).                    COL-D
                   15  FPMASTER-DCB-RECFM  PIC X(4).                    COL-E
                   15  FPMASTER-MIN-LRECL  PIC 9(5).                    COL-F
                   15  FPMASTER-MAX-LRECL  PIC 9(5).                    COL-G
                   15  FPMASTER-KEY-POS    PIC 9(5).                    COL-H
                   15  FPMASTER-KEY-LEN    PIC 9(5).                    COL-I
                   15  FPMASTER-VSAM-DAT   PIC X(44).                   COL-J
                   15  FPMASTER-VSAM-IDX   PIC X(44).                   COL-K
               10  FPMASTER-JOB-INFO.
                   15  FPMASTER-JCL-OVR1   PIC X(8).                    COL-L
                   15  FPMASTER-JCL-USR1   PIC X(8).                    COL-M
                   15  FPMASTER-JCL-USR2   PIC X(8).                    COL-N
               10  FPMASTER-EXTENDED-INFO.
                   15  FPMASTER-EXTEND-S1  PIC X(4).                    COL-O
                   15  FPMASTER-EXTEND-S2  PIC X(4).                    COL-P
                   15  FPMASTER-EXTEND-M1  PIC X(16).                   COL-Q
                   15  FPMASTER-EXTEND-M2  PIC X(16).                   COL-R
                   15  FPMASTER-EXTEND-M3  PIC X(16).                   COL-S
                   15  FPMASTER-EXTEND-M4  PIC X(16).                   COL-T
                   15  FPMASTER-EXTEND-X1  PIC X(256).                  COL-U
                   15  FPMASTER-EXTEND-X2  PIC X(256).                  COL-V
               10  FILLER                  PIC X(227).
      *
      ***  FPMASTB1 - End-of-Copy File - - - - - - - - - - - FPMASTB1 *
      *****************************************************************
      *
