//FPUPDTJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       FPUPDTJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text    - Read a sequential file and update or add to a VSAM, KSDS.
//* Author  - SimoTime Technologies
//* Date    - November 24, 2004
//* Version - 07.01.22
//*
//* This job uses a COBOL program to read a sequential file.
//* The records in the sequential file are used to add new records or
//* update existing records in the repository for the File Proerties
//* which is a VSAM, KSDS.
//* This example uses random processing for the KSDS. Therefore, the
//* input file does not need to be in sequence by the key field.
//*
//* *******************************************************************
//* Step 1 of 1, Delete previous files.
//*
//*
//STEP010  EXEC PGM=FPUPDTC1
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//FPRFFLD1 DD  DSN=SIMOTIME.UTIL.FPRFFLD1,
//             DISP=SHR
//FPMASTER DD  DSN=SIMOTIME.UTIL.FPMASTER,
//             DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
